Unusual Whales UnusualWhales API

Recent Darkpool Trades

GET https://api.unusualwhales.com/api/darkpool/recent

Request

Security: Bearer Auth Authorization: Bearer <token>

Query Parameters

limit Default 100 Max 200 Min 1 optional

How many items to return. Default: 100. Max: 200. Min: 1.

Example: 10 Default: 100
>= 1 <= 200
date Optional Market Date optional

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example: 2024-01-18
min_premium StockTradesMinPremium optional

The minimum premium requested trades should have.

Example: 50000 Default: 0
>= 0
max_premium StockTradesMaxPremium optional

The maximum premium requested trades should have.

Example: 150000
min_size StockTradesMinSize optional

The minimum size requested trades should have. Must be a positive integer.

Example: 50000 Default: 0
>= 0
max_size StockTradesMaxSize optional

The maximum size requested trades should have. Must be a positive integer.

Example: 150000
min_volume StockTradesMinVol optional

The minimum consolidated volume requested trades should have. Must be a positive integer.

Example: 50000 Default: 0
>= 0
max_volume StockTradesMaxVol optional

The maximum consolidated volume requested trades should have. Must be a positive integer.

Example: 150000
order OrderDirection optional

Whether to sort descending or ascending. Descending by default.

Example: asc Default: desc
enum: desc, asc
order_by Darkpool order by field optional

The field to order the darkpool trades by. Defaults to executed_at.

Example: premium Default: executed_at
enum: executed_at, trf_executed_at, premium, size, volume

Responses

200 422 500

Response Body 200 OK

canceled Single Trade Is Trade Cancelled

Whether the trade has been cancelled.

Example: true
executed_at Single Trade Execution Time

The trade execution time as an ISO 8601 UTC timestamp.

Example: 2023-02-16T00:59:44Z
ext_hour_sold_codes Single Trade External Hour Sold Code

The code describing why the trade happened outside of regular market hours. Null if none applies.

Example: sold_out_of_sequence
market_center Single Trade Market Center

The market center code.

Example: L
nbbo_ask ToBeDone
nbbo_ask_quantity ToBeDone
nbbo_bid ToBeDone
nbbo_bid_quantity ToBeDone
premium Option Contract Premium

The total option premium.

Example: 27723806.00
price Single Trade Price

The price of the trade.

Example: 18.9904
sale_cond_codes Single Trade Sale Cond Code

The sale condition code. Null if none applies.

Example: contingent_trade
size Single Trade Size

The size of the transaction.

Example: 6400
ticker Stock Ticker

The stock ticker.

Example: AAPL
tracking_id Single Trade Tracking ID

The tracking ID of the trade.

Example: 71984388012245
trade_code Single Trade Trade Code

The trade code. Null if none applies.

Example: derivative_priced
trade_settlement Single Trade Settlement

The kind of trade settlement.

Example: cash_settlement
trf_executed_at Single Trade TRF Execution Time

The ISO 8601 UTC timestamp when the trade was reported to the tape by a Trade Reporting Facility. Only available for trades from 2025-05-01 onwards. It is `null` for any trade before that date.

Example: 2025-05-02T13:42:11Z
volume Stock Day Stock Volume

The volume of the ticker for the trading day.

Example: 23132119
Try It GET
Query Parameters

Request Sample
curl -X GET "https://api.unusualwhales.com/api/darkpool/recent" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
Response Example 200
{
  "data": [
    {
      "canceled": false,
      "executed_at": "2025-05-02T13:42:12Z",
      "ext_hour_sold_codes": "extended_hours_trade",
      "market_center": "L",
      "nbbo_ask": "19",
      "nbbo_ask_quantity": 6600,
      "nbbo_bid": "18.99",
      "nbbo_bid_quantity": 29100,
      "premium": "121538.56",
      "price": "18.9904",
      "sale_cond_codes": null,
      "size": 6400,
      "ticker": "QID",
      "tracking_id": 71984388012245,
      "trade_code": null,
      "trade_settlement": "regular_settlement",
      "trf_executed_at": "2025-05-02T13:42:11Z",
      "volume": 9946819
    },
    {
      "canceled": false,
      "executed_at": "2023-02-16T00:59:44Z",
      "ext_hour_sold_codes": "extended_hours_trade",
      "market_center": "L",
      "nbbo_ask": "19",
      "nbbo_ask_quantity": 6600,
      "nbbo_bid": "18.99",
      "nbbo_bid_quantity": 29100,
      "premium": "353214",
      "price": "18.99",
      "sale_cond_codes": null,
      "size": 18600,
      "ticker": "QID",
      "tracking_id": 71984384768588,
      "trade_code": null,
      "trade_settlement": "regular_settlement",
      "trf_executed_at": null,
      "volume": 9940419
    }
  ]
}